#include <debtags/Environment.h>
#include <debtags/TagDB.h>

#include <tagcoll/TagcollSerializer.h>
#include <tagcoll/ItemGrouper.h>

#include <set>

using namespace std;
using namespace Debtags;


int main (int argc, char *argv[])
{
	try {
		// Install the handler for unexpected exceptions
		InstallUnexpected installUnexpected;

		Debtags::Environment::init(false);

		int result = 0;
		
		TagcollSerializer serializer(stdout);
		if (argc == 1)
		{
			ItemGrouper<string, string> grouper;
			TagDB::outputPatched(grouper);
			grouper.output(serializer);
		} else
			TagDB::outputPatched(serializer);

		return result;
	} catch (Exception& e) {
		fprintf(stderr, "%s: %.*s\n", e.type(), PFSTR(e.desc()));
	}
}

// vim:set ts=4 sw=4:
